javax.media.opengl

## Class GLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.media.opengl.GLException

All Implemented Interfaces:
  Serializable

    public class GLException
    extends RuntimeException

A generic exception for OpenGL errors used throughout the binding as a substitute for `RuntimeException`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GLException()` Constructs a GLException object.
`GLException(String message)` Constructs a GLException object with the specified detail message.
`GLException(String message, Throwable cause)` Constructs a GLException object with the specified detail message and root cause.
`GLException(Throwable cause)` Constructs a GLException object with the specified root cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GLException

    public GLException()

Constructs a GLException object.

#### GLException

    public GLException(String message)

Constructs a GLException object with the specified detail message.

#### GLException

    public GLException(String message,
               Throwable cause)

Constructs a GLException object with the specified detail message and root cause.

#### GLException

    public GLException(Throwable cause)

Constructs a GLException object with the specified root cause.